Public Attributes | List of all members
spi_env_t Struct Reference
Peripheral Driver » APP DRIVER » SPI » Structures

SPI device structure definition. More...

`#include <app_spi.h>`

Collaboration diagram for spi_env_t:
[legend]

## Public Attributes
app_spi_evt_handler_t | evt_handler
| SPI event callback. More...
spi_handle_t | handle
| SPI handle Structure. More...
app_spi_pin_cfg_t * | p_pin_cfg
| SPI IO configuration Structures. More...
dma_id_t | dma_id [2]
| DMA id. More...
app_spi_state_t | spi_state
| App spi state types. More...
app_spi_dma_state_t | spi_dma_state
| App spi dma state types. More...
volatile bool | start_flag
| start flag. More...
volatile bool | is_soft_cs
| soft cs. More...
volatile uint8_t | rx_done
| rx done. More...
volatile uint8_t | tx_done
| tx done. More...

## Detailed Description

SPI device structure definition.

Definition at line 199 of file app_spi.h.

## Member Data Documentation

## ◆ dma_id

dma_id_t spi_env_t::dma_id[2]

DMA id.

Definition at line 204 of file app_spi.h.

## ◆ evt_handler

app_spi_evt_handler_t spi_env_t::evt_handler

SPI event callback.

Definition at line 201 of file app_spi.h.

## ◆ handle

spi_handle_t spi_env_t::handle

SPI handle Structure.

Definition at line 202 of file app_spi.h.

## ◆ is_soft_cs

volatile bool spi_env_t::is_soft_cs

soft cs.

Definition at line 208 of file app_spi.h.

## ◆ p_pin_cfg

app_spi_pin_cfg_t* spi_env_t::p_pin_cfg

SPI IO configuration Structures.

Definition at line 203 of file app_spi.h.

## ◆ rx_done

volatile uint8_t spi_env_t::rx_done

rx done.

Definition at line 210 of file app_spi.h.

## ◆ spi_dma_state

app_spi_dma_state_t spi_env_t::spi_dma_state

App spi dma state types.

Definition at line 206 of file app_spi.h.

## ◆ spi_state

app_spi_state_t spi_env_t::spi_state

App spi state types.

Definition at line 205 of file app_spi.h.

## ◆ start_flag

volatile bool spi_env_t::start_flag

start flag.

Definition at line 207 of file app_spi.h.

## ◆ tx_done

volatile uint8_t spi_env_t::tx_done

tx done.

Definition at line 211 of file app_spi.h.

The documentation for this struct was generated from the following file:

- app_spi.h